Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan
Class PlanIssue

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.plan.PlanObject
                  ix.icore.plan.AbstractPlanItem
                      ix.icore.plan.PlanIssue

All Implemented Interfaces:
  Annotated, IXObject, java.io.Serializable

    public class PlanIssue

extends AbstractPlanItem

Wraps an `Issue` when it appears in a plan.

See Also:
  Serialized Form

Field Summary
`protected Issue` | `issue`

Fields inherited from class ix.icore.plan.AbstractPlanItem
`expansion, id`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`PlanIssue()`
`PlanIssue(Name id, Issue issue)`

Method Summary
`Issue` | `getIssue()`
`TaskItem` | `getItem()`
`void` | `setIssue(Issue issue)`
`void` | `setItem(TaskItem item)`

Methods inherited from class ix.icore.plan.AbstractPlanItem
`getExpansion, getId, setExpansion, setId`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### issue

    protected Issue issue

Constructor Detail

### PlanIssue

    public PlanIssue()

### PlanIssue

    public PlanIssue(Name id,
                     Issue issue)

Method Detail

### getIssue

    public Issue getIssue()

### getItem

    public TaskItem getItem()

  Specified by:
    `getItem` in class `AbstractPlanItem`

### setIssue

    public void setIssue(Issue issue)

### setItem

    public void setItem(TaskItem item)

  Specified by:
    `setItem` in class `AbstractPlanItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD